Package: java.util.stream

## [Java] Interface BaseStream

-     public interface BaseStream

  GDK enhancements for BaseStream.

  displayName:
    BaseStream
  receiverFqcn:
    java.util.stream.BaseStream

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T>` | `public List<T>` | `toImmutableList()` Accumulates the elements of stream into an immutable List.
    `<T>` | `public Set<T>` | `toImmutableSet()` Accumulates the elements of stream into an immutable Set.
    `<T>` | `public List<T>` | `toList()` Accumulates the elements of stream into a new List.
    `<T>` | `public List<T>` | `toMutableList()` Accumulates the elements of stream into a new mutable List.
    `<T>` | `public Set<T>` | `toMutableSet()` Accumulates the elements of stream into a new mutable Set.
    `<T>` | `public Set<T>` | `toSet()` Accumulates the elements of stream into a new Set.

- - ### Method Detail

    - #### <T> public List<T> toImmutableList()

      Accumulates the elements of stream into an immutable List.

      Type Parameters:
        `T` - the type of element
      Returns:
        an immutable `java.util.List` instance
      Since:
        6.0.0

    - #### <T> public Set<T> toImmutableSet()

      Accumulates the elements of stream into an immutable Set.

      See Stream.toImmutableSet for the null-tolerance and empty-set semantics — this overload is the BaseStream counterpart with the same contract.

      Type Parameters:
        `T` - the type of element
      Returns:
        an immutable `java.util.Set` instance
      Since:
        6.0.0

    - #### <T> public List<T> toList()

      Accumulates the elements of stream into a new List.

      Type Parameters:
        `T` - the type of element
      Returns:
        a new `java.util.List` instance
      Since:
        2.5.0

    - #### <T> public List<T> toMutableList()

      Accumulates the elements of stream into a new mutable List.

      Explicit-mutability alias for BaseStream.toList, symmetric with Stream.toMutableList.

      Type Parameters:
        `T` - the type of element
      Returns:
        a new mutable `java.util.List` instance
      Since:
        6.0.0

    - #### <T> public Set<T> toMutableSet()

      Accumulates the elements of stream into a new mutable Set.

      Explicit-mutability alias for BaseStream.toSet, symmetric with Stream.toMutableSet.

      Type Parameters:
        `T` - the type of element
      Returns:
        a new mutable `java.util.Set` instance
      Since:
        6.0.0

    - #### <T> public Set<T> toSet()

      Accumulates the elements of stream into a new Set.

      Type Parameters:
        `T` - the type of element
      Returns:
        a new `java.util.Set` instance
      Since:
        2.5.0